routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\CategoryController;
use App\Http\Controllers\SingerController;
use App\Http\Controllers\SongController;
use App\Http\Controllers\AlbumController;
use App\Http\Controllers\UserController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::middleware('auth')->group(function () {
    Route::resource('category', CategoryController::class);
    Route::resource('singer', SingerController::class);
    Route::resource('song', SongController::class);
    Route::resource('album', AlbumController::class);
    Route::resource('users', UserController::class);
});


Route::get('/', function () {
    return view('home');
})->middleware(['auth'])->name('dashboard');
require __DIR__.'/auth.php';

resources/views/layouts/add.blade.php
@extends('layouts.form')
@section('page_content')
    <div class="section">
        <div class="row">
            <div class="col-xl-7 col-md-10 mx-auto">
                <div class="card">
                    <div class="card-header pb-0">
                        <div class="mat-tabs">
                            <ul class="nav nav-tabs" id="add_music" role="tablist">
                                <li class="nav-item" role="presentation">
                                    <button class="nav-link"><a href="{{ route('song.create') }}">Add Song</a> </button>
                                </li>
                                <li class="nav-item" role="presentation">
                                    <button class="nav-link"><a href="{{ route('album.create') }}">Add Album</a> </button>
                                </li>
                                <li class="nav-item" role="presentation">
                                    <button class="nav-link"><a href="{{ route('singer.create') }}">Add Singer</a> </button>
                                </li>
                                <li class="nav-item" role="presentation">
                                    <button class="nav-link"><a href="{{ route('category.create') }}">Add Category</a> </button>
                                </li>
                            </ul>
                        </div>
                    </div>
                    @yield('add')

                </div>
            </div>
        </div>
    </div>
@endsection

resources/views/layouts/app.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf-token" content="{{ csrf_token() }}">

        <title>{{ config('app.name', 'Laravel') }}</title>

        <!-- Fonts -->
        <link rel="stylesheet" href="https://fonts.bunny.net/css2?family=Nunito:wght@400;600;700&display=swap">

        <!-- Scripts -->
        @vite(['resources/css/app.css', 'resources/js/app.js'])
    </head>
    <body class="font-sans antialiased">
        <div class="min-h-screen bg-gray-100">
            @include('layouts.navigation')

            <!-- Page Heading -->
            <header class="bg-white shadow">
                <div class="max-w-7xl mx-auto py-6 px-4 sm:px-6 lg:px-8">
                    {{ $header }}
                </div>
            </header>

            <!-- Page Content -->
            <main>
                {{ $slot }}
            </main>
        </div>
    </body>
</html>

resources/views/layouts/footer.blade.php
<footer id="footer">
    <div class="container">
        <div class="text-center mb-4"><a href="" class="display-5 email">info@listenapp.com</a></div>
    </div>
</footer>

resources/views/layouts/form.blade.php
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width,initial-scale=1" />
        <meta name="description" content="Listen App - Online Music Streaming App Template" />
        <meta name="keywords" content="music template, music app, music web app, responsive music app, music, themeforest, html music app template, css3, html5" />
        <title>Listen App - Online Music Streaming App</title>
        <link href="https://www.kri8thm.in/html/listen/theme/demo/images/logos/favicon.png" rel="icon" />
        <link rel="apple-touch-icon" href="https://www.kri8thm.in/html/listen/theme/demo/images/logos/touch-icon-iphone.png" />
        <link rel="apple-touch-icon" sizes="152x152" href="https://www.kri8thm.in/html/listen/theme/demo/images/logos/touch-icon-ipad.png" />
        <link rel="apple-touch-icon" sizes="180x180" href="https://www.kri8thm.in/html/listen/theme/demo/images/logos/touch-icon-iphone-retina.png" />
        <link rel="apple-touch-icon" sizes="167x167" href="https://www.kri8thm.in/html/listen/theme/demo/images/logos/touch-icon-ipad-retina.png" />
        <link href="https://www.kri8thm.in/html/listen/theme/demo/css/plugins.bundle.css" rel="stylesheet" type="text/css" />
        <link href="https://www.kri8thm.in/html/listen/theme/demo/css/styles.bundle.css" rel="stylesheet" type="text/css" />
        <link rel="stylesheet" href="https://fonts.bunny.net/css2?family=Nunito:wght@400;600;700&display=swap">
        <link rel="import" href="https://rawgit.com/sitepoint-editors/multiselect-web-component/master/src/multiselect.html">
        <link rel="stylesheet" href="{{ asset('user/select2.min.css') }}">
        <!-- Scripts -->
        @vite(['resources/css/app.css', 'resources/js/app.js'])
        <link rel="preconnect" href="https://fonts.googleapis.com" />
        <link rel="stylesheet" type="text/css" href="{{ asset('fontawesome/css/all.css') }}">
        <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
        <link href="https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;500;600;700;800&display=swap" rel="stylesheet" />
        <link href="https://fonts.googleapis.com/css2?family=Roboto+Slab:wght@100;200;300;400;500;600;700;800;900&display=swap" rel="stylesheet" />
        <!--[if lt IE 9]>
            <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
            <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
        <![endif]-->
        <style>
            .cover__image img {
                width: 275px !important;
                height: 206px !important;
                object-fit: cover;
            }
        </style>
    </head>
    <body>
        <div id="line_loader"></div>
        <div id="loader">
            <div class="loader">
                <div class="loader__eq mx-auto"><span></span> <span></span> <span></span> <span></span> <span></span> <span></span></div>
                <span class="loader__text mt-2">Loading</span>
            </div>
        </div>
        <div id="wrapper">
            @include('layouts.sidebar')
            @include('layouts.header')
            <main id="page_content">
                <div class="hero" style="background-image: url(https://www.kri8thm.in/html/listen/theme/demo/images/banner/home.jpg);"></div>
                @yield('page_content')
            @include('layouts.footer')
            </main>
        </div>

        @include('layouts.play')
        <div id="backdrop"></div>
        <script src="{{ asset('listen/plugins.bundle.js') }}"></script>

        <script src="{{ asset('user/select2.min.js') }}"></script>
        <script src="{{ asset('user/user.js') }}"></script>
        <script src="{{ asset('listen/scripts.bundle.js') }}"></script>
    </body>
</html>

resources/views/layouts/guest.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf-token" content="{{ csrf_token() }}">

        <title>{{ config('app.name', 'Laravel') }}</title>

        <!-- Fonts -->
        <link rel="stylesheet" href="https://fonts.bunny.net/css2?family=Nunito:wght@400;600;700&display=swap">

        <!-- Scripts -->
        @vite(['resources/css/app.css', 'resources/js/app.js'])
    </head>
    <body>
        <div class="font-sans text-gray-900 antialiased">
            {{ $slot }}
        </div>
    </body>
</html>

resources/views/layouts/header.blade.php
<header id="header">
    <div class="container">
        <div class="header-container">
            <div class="d-flex align-items-center">
                <a href="javascript:void(0);" role="button" class="header-text sidebar-toggler d-lg-none me-3" aria-label="Sidebar toggler"><i class="ri-menu-3-line"></i></a>
                <form action="#" id="search_form" class="me-3">
                    <label for="search_input"><i class="fal fa-search"></i></label> <input type="text" placeholder="Type anything to get result..." id="search_input" class="form-control form-control-sm" />
                </form>
                <div id="search_results" class="search pb-3">


                </div>
                <div class="d-flex align-items-center">
                    <div class="dropdown">

                    </div>
                    <div class="dropdown ms-3 ms-sm-4">

                        <a href="javascript:void(0);" class="avatar header-text" role="button" id="user_menu" data-bs-toggle="dropdown" aria-expanded="false">
                            <div class="avatar__image"><img src="https://www.kri8thm.in/html/listen/theme/demo/images/users/thumb.jpg" alt="user" /></div>
                            <span class="ps-2 d-none d-sm-block">{{ Auth::user()->name }}</span>
                        </a>
                        <ul class="dropdown-menu dropdown-menu-md dropdown-menu-end" aria-labelledby="user_menu">
                            <li>
                                <div class="py-2 px-3 avatar avatar--lg">
                                    <div class="avatar__image"><img src="https://www.kri8thm.in/html/listen/theme/demo/images/users/thumb.jpg" alt="user" /></div>
                                    <div class="avatar__content"><span class="avatar__title">{{ Auth::user()->name }}</span> <span class="avatar__subtitle"></span></div>
                                </div>
                            </li>
                            <li class="dropdown-divider"></li>
                            <li>
                                <a class="dropdown-item d-flex align-items-center" href="{{ route('users.create') }}"><i class="ri-user-3-line fs-5"></i> <span class="ps-2">Profile</span></a>
                            </li>

                            <li class="dropdown-divider"></li>
                            <li>
                                <form method="POST" action="{{ route('logout') }}">
                                    @csrf
                                    <button class="ps-2">Logout</button>
                                </form>
                            </li>
                        </ul>

                    </div>
                </div>
            </div>
        </div>
    </div>
</header>

resources/views/layouts/navigation.blade.php
<nav x-data="{ open: false }" class="bg-white border-b border-gray-100">
    <!-- Primary Navigation Menu -->
    <div class="max-w-7xl mx-auto px-4 sm:px-6 lg:px-8">
        <div class="flex justify-between h-16">
            <div class="flex">
                <!-- Logo -->
                <div class="shrink-0 flex items-center">
                    <a href="{{ route('dashboard') }}">
                        <x-application-logo class="block h-10 w-auto fill-current text-gray-600" />
                    </a>
                </div>

                <!-- Navigation Links -->
                <div class="hidden space-x-8 sm:-my-px sm:ml-10 sm:flex">
                    <x-nav-link :href="route('dashboard')" :active="request()->routeIs('dashboard')">
                        {{ __('Dashboard') }}
                    </x-nav-link>
                </div>
            </div>

            <!-- Settings Dropdown -->
            <div class="hidden sm:flex sm:items-center sm:ml-6">
                <x-dropdown align="right" width="48">
                    <x-slot name="trigger">
                        <button class="flex items-center text-sm font-medium text-gray-500 hover:text-gray-700 hover:border-gray-300 focus:outline-none focus:text-gray-700 focus:border-gray-300 transition duration-150 ease-in-out">
                            <div>{{ Auth::user()->name }}</div>

                            <div class="ml-1">
                                <svg class="fill-current h-4 w-4" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20">
                                    <path fill-rule="evenodd" d="M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z" clip-rule="evenodd" />
                                </svg>
                            </div>
                        </button>
                    </x-slot>

                    <x-slot name="content">
                        <!-- Authentication -->
                        <form method="POST" action="{{ route('logout') }}">
                            @csrf

                            <x-dropdown-link :href="route('logout')"
                                    onclick="event.preventDefault();
                                                this.closest('form').submit();">
                                {{ __('Log Out') }}
                            </x-dropdown-link>
                        </form>
                    </x-slot>
                </x-dropdown>
            </div>
            </div>

            <!-- Hamburger -->
            <div class="-mr-2 flex items-center sm:hidden">
                <button @click="open = ! open" class="inline-flex items-center justify-center p-2 rounded-md text-gray-400 hover:text-gray-500 hover:bg-gray-100 focus:outline-none focus:bg-gray-100 focus:text-gray-500 transition duration-150 ease-in-out">
                    <svg class="h-6 w-6" stroke="currentColor" fill="none" viewBox="0 0 24 24">
                        <path :class="{'hidden': open, 'inline-flex': ! open }" class="inline-flex" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 6h16M4 12h16M4 18h16" />
                        <path :class="{'hidden': ! open, 'inline-flex': open }" class="hidden" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M6 18L18 6M6 6l12 12" />
                    </svg>
                </button>
            </div>
        </div>
    </div>

    <!-- Responsive Navigation Menu -->
    <div :class="{'block': open, 'hidden': ! open}" class="hidden sm:hidden">
        <div class="pt-2 pb-3 space-y-1">
            <x-responsive-nav-link :href="route('dashboard')" :active="request()->routeIs('dashboard')">
                {{ __('Dashboard') }}
            </x-responsive-nav-link>
        </div>

        <!-- Responsive Settings Options -->
        <div class="pt-4 pb-1 border-t border-gray-200">
            <div class="px-4">
                <div class="font-medium text-base text-gray-800">{{ Auth::user()->name }}</div>
                <div class="font-medium text-sm text-gray-500">{{ Auth::user()->email }}</div>
            </div>

            <div class="mt-3 space-y-1">
                <!-- Authentication -->
                <form method="POST" action="{{ route('logout') }}">
                    @csrf

                    <x-responsive-nav-link :href="route('logout')"
                            onclick="event.preventDefault();
                                        this.closest('form').submit();">
                        {{ __('Log Out') }}
                    </x-responsive-nav-link>
                </form>
            </div>
        </div>
    </div>
</nav>

resources/views/layouts/play.blade.php
<div id="player">
    {{-- <div class="container">
        <div class="player-container">
            <div class="player-progress">
                <progress class="amplitude-buffered-progress player-progress__bar" value="0"></progress><progress class="amplitude-song-played-progress player-progress__bar"></progress>
                <input type="range" class="amplitude-song-slider player-progress__slider" aria-label="Progress slider" />
            </div>
            <div class="cover d-flex align-items-center">
                <div class="cover__image">

                        <img data-amplitude-song-info="cover_art_url" src="" alt="" />


                </div>
                <div class="cover__content ps-3 d-none d-sm-block">

                    <a href="" class="cover__title text-truncate" data-amplitude-song-info=""></a>


                    <a href="" class="cover__subtitle text-truncate" data-amplitude-song-info="artist"></a>
                </div>
            </div>
            <div class="player-control">
                <button type="button" class="amplitude-repeat btn btn-icon me-4 d-none d-md-block" aria-label="Repeat"><i class="fal fa-retweet-alt"></i></button>
                <button type="button" class="amplitude-prev btn btn-icon" aria-label="Backward"><i class="fal fa-step-backward"></i></button>
                <button type="button" class="amplitude-play-pause btn btn-icon btn-default rounded-pill" aria-label="Play pause"><i class="fal fa-play"></i> <i class="fas fa-pause-circle"></i></button>
                <button type="button" class="amplitude-next btn btn-icon" aria-label="Forward"><i class="ri-skip-forward-mini-fill"></i></button>
                <button type="button" class="amplitude-shuffle amplitude-shuffle-off btn btn-icon ms-4 d-none d-md-block" aria-label="Shuffle"><i class="ri-shuffle-fill fs-5"></i></button>
            </div>
            <div class="player-info">
                <div class="me-4 d-none d-xl-block">
                    <span class="amplitude-current-minutes"></span>:<span class="amplitude-current-seconds"></span> / <span class="amplitude-duration-minutes"></span>:<span class="amplitude-duration-seconds"></span>
                </div>
                <div class="player-volume dropdown d-none d-md-block">
                    <button class="btn btn-icon" data-bs-toggle="dropdown" data-bs-auto-close="outside" aria-label="Volume" aria-expanded="false">
                        <i class="ri-volume-mute-fill fs-5 d-none"></i> <i class="ri-volume-down-fill fs-5"></i> <i class="ri-volume-up-fill fs-5 d-none"></i>
                    </button>
                    <div class="dropdown-menu prevent-click"><input type="range" class="amplitude-volume-slider" value="50" min="0" max="100" aria-label="Volume slider" /></div>
                </div>
                <div class="dropstart d-none d-md-block">
                    <button class="btn btn-icon" data-bs-toggle="dropdown" aria-label="Song options" aria-expanded="false">
                        <a class="dropdown-item" href="  " download><i class="fa fa-download" aria-hidden="true"></i></a>
                    </button>

                </div>
                <div class="playlist dropstart me-3">
                    <button class="btn btn-icon" data-bs-toggle="dropdown" data-bs-auto-close="outside" aria-label="Playlist" aria-expanded="false"><i class="ri-play-list-fill fs-5"></i></button>
                    <div class="dropdown-menu playlist__dropdown">
                        <div class="playlist__head d-flex align-items-center justify-content-between">
                            <h6 class="mb-0">Next Lineup</h6>
                            <a href="javascript:void(0);" role="button" id="clear_playlist" class="btn btn-link">Clear</a>
                        </div>
                        <div id="playlist" class="list playlist__body" data-scroll="true">
                            <div class="col-sm-8 col-10 mx-auto mt-5 text-center">
                                <i class="ri-music-2-line mb-3"></i>
                                <p>No songs, album or playlist are added on lineup.</p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div> --}}

    {{-- <audio controls autoplay loop>
        <source src="{{ $song->path }}" type="audio/mpeg">
    </audio> --}}

     <audio controls autoplay style="width: 100%">
        <source src="{{ @$song->path }}" type="audio/mpeg">
      </audio>
</div>

resources/views/layouts/sidebar.blade.php
<aside id="sidebar">
    <div class="sidebar-head d-flex align-items-center justify-content-between">
        <a href="index.html" class="brand external"><img src="https://www.kri8thm.in/html/listen/theme/demo/images/logos/logo.svg" alt="Listen app" /> </a>
        <a href="javascript:void(0);" role="button" class="sidebar-toggler" aria-label="Sidebar toggler">
            <div class="d-none d-lg-block"><i class="fad fa-bars"></i></div>
            <i class="ri-menu-fold-line d-lg-none"></i>
        </a>
    </div>
    <div class="sidebar-body" data-scroll="true">
        <nav class="navbar d-block p-0">
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a href="{{ route('dashboard') }}" class="nav-link d-flex align-items-center active"><i class="fas fa-home"></i> <span class="ps-3">Home</span></a>
                </li>
                <li class="nav-item">
                    <a href="{{ route('category.index') }}" class="nav-link d-flex align-items-center"><i class="far fa-compact-disc"></i><span class="ps-3">Categories</span></a>
                </li>
                <li class="nav-item">
                    <a href="{{ route('song.index') }}" class="nav-link d-flex align-items-center"><i class="fas fa-music"></i><span class="ps-3">Songs</span></a>
                </li>
                <li class="nav-item">
                    <a href="{{ route('album.index') }}" class="nav-link d-flex align-items-center"><i class="fal fa-album-collection"></i> <span class="ps-3">Albums</span></a>
                </li>
                <li class="nav-item">
                    <a href="{{ route('singer.index') }}" class="nav-link d-flex align-items-center"><i class="fas fa-user-music"></i> <span class="ps-3">Singers</span></a>
                </li>

                <li class="nav-item nav-item--head"><span class="nav-item--head__text">Music</span> <span class="nav-item--head__dots">...</span></li>
                <li class="nav-item">
                    <a href="" class="nav-link d-flex align-items-center"><i class="fad fa-chart-pie-alt"></i> <span class="ps-3">Analytics</span></a>
                </li>
                <li class="nav-item">
                    <a href="" class="nav-link d-flex align-items-center"><i class="far fa-heart"></i> <span class="ps-3">Favorites</span></a>
                </li>
                <li class="nav-item">
                    <a href="" class="nav-link d-flex align-items-center"><i class="fal fa-history"></i> <span class="ps-3">History</span></a>
                </li>

            </ul>
        </nav>
    </div>
    <div class="sidebar-foot">
        <a href="{{ route('song.create') }}" class="btn btn-primary d-flex">
            <div class="btn__wrap"><i class="fas fa-music-alt"></i> <span>Add Music</span></div>
        </a>
    </div>
</aside>